using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class Customer : MonoBehaviour
{
    public enum CustomerPhases
    {
        EnteringShop,
        WaitingToTakeOrder,
        WaitingForOrder,
        LeavingShop
    }

    public CustomerPhases CurrentPhase = CustomerPhases.EnteringShop;
    public Drink drinkOrder = null;

    public float SpawnTime = 0.0f; // When the customer was instantiated

    public TextMeshPro Emoticon = null;
    public void SetEmotionState(int tipAmount)
    {
        if (tipAmount == 3)
        {
            Emoticon.text = "<sprite=1>";
        }
        else if (tipAmount == 2)
        {
            Emoticon.text = "<sprite=7>";
        }
        else if (tipAmount == 1)
        {
            Emoticon.text = "<sprite=15>";
        }
        else if (tipAmount == 0)
        {
            Emoticon.text = "<sprite=10>";
        }
    }

}
